<nz-page-header>
  <nz-page-header-title>
    <nz-breadcrumb>
      <nz-breadcrumb-item><a routerLink="/">{{ "Common.Homepage" | translate }}</a></nz-breadcrumb-item>
      <nz-breadcrumb-item>
        <a [routerLink]="['/country', country?.id]">{{ country?.name }}</a>
      </nz-breadcrumb-item>
      <nz-breadcrumb-item>{{ "Economy.Market.Jobs.Title" | translate }}</nz-breadcrumb-item>
    </nz-breadcrumb>
  </nz-page-header-title>
</nz-page-header>

<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <div nz-row nzJustify="space-around" style="text-align: center">
    <div nz-col nzXs="23" nzSm="23" nzMd="8">
      <nz-select style="width: 100%" nzShowSearch nzAllowClear nzPlaceHolder="Skill" [(ngModel)]="selectedSkill"
        nzSize="large" (ngModelChange)="loadJobs()">
        <nz-option *ngFor="let skill of [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10]" nzLabel="{{ skill }}.00 - {{ skill }}.99"
          [nzValue]="skill"></nz-option>
      </nz-select>
    </div>

    <div nz-col nzXs="23" nzSm="23" nzMd="8">
      <nz-select style="width: 100%" nzShowSearch nzAllowClear nzPlaceHolder="Quality" [(ngModel)]="selectedQuality"
        nzSize="large" [nzCustomTemplate]="selectedQualityTemplate" (ngModelChange)="loadJobs()">
        <nz-option [nzLabel]="0" [nzValue]="0" nzCustomContent>
          {{ "Common.Any" | translate }}
        </nz-option>
        <nz-option *ngFor="let data of qualities" [nzLabel]="data.quality" [nzValue]="data.key" nzCustomContent>
          <span style="color: gold" innerHtml="{{ data.key | q }}"></span>
        </nz-option>
      </nz-select>
      <ng-template #selectedQualityTemplate let-selected>
        <span *ngIf="selectedQuality > 0" style="color: gold" innerHtml="{{ selectedQuality | q }}"></span>
        <span *ngIf="selectedQuality === 0">{{ "Common.Any" | translate }}</span>
      </ng-template>
    </div>
  </div>

  <div style="text-align: center; margin: 20px">
    <nz-alert nzType="info" *ngIf="offers && offers.length === 0" nzMessage="{{ 'Economy.Market.noOffersCurrencies' | translate }}">
    </nz-alert>
    <div nz-row nzGutter="8">
      <div nz-col *ngFor="let item of offers" nzXs="24" nzSm="24" nzMd="12" nzLg="12" nzXl="12" nzXXl="8"
        style="margin-bottom: 5px">
        <nz-card [nzTitle]="offerTitle" [nzExtra]="offerExtra" nzSize="small">
          <ng-template #offerTitle>
            <nz-avatar [nzShape]="'square'" [nzSrc]="item.owner.avatar" [nzSize]="25" [nzIcon]="'user'"
              style="margin-right: 5px">
            </nz-avatar>            <a [routerLink]="['/company', item.owner.id]">
              {{ item.owner.name }}
            </a>
          </ng-template>
          <ng-template #offerExtra>
            <button *ngIf="item.canAccept === true" nz-button nzShape="round" nzType="default" (click)="acceptOffer(item)">
              {{ "Economy.Market.Jobs.AcceptJob" | translate }}
            </button>
          </ng-template>
          <div nz-row>
            <div nz-col nzSpan="8" style="text-align: center">
              <img src="../../../../../assets/img/icons/{{ item.industry.symbol }}.png" alt="{{ item.industry.symbol }}" style="width: 74px;" />
<!--               <img src="'../../../../assets/img/icons/' + {{ item.industry.value }} + '.png'" alt="{{ item.industry.symbol }}" width="60" height="60" />
 -->
              <div>
                {{ "Economy." + item.industry.symbol | translate }}
              </div>
            </div>
            <div nz-col nzSpan="16">
              <div>{{ "Common.Quality" | translate }}: <span style="color: gold; font-size: 18px" innerHtml="{{ item.quality | q }}"></span></div>
              <div>{{ "Economy.Market.Amount" | translate }}: {{ item.amount }}</div>
              <div>{{ "Economy.Market.Jobs.SkillRequired" | translate }}: {{ item.skillRequired }}.00 - {{ item.skillRequired }}.99</div>
              <div>{{ "Economy.Market.Salary" | translate }}: {{ item.salary }} {{ item.salaryCurrency.symbol | translate }}</div>
            </div>
          </div>
        </nz-card>
      </div>
    </div>
  </div>
</nz-spin>
